#include <stdlib.mqh>   



//+------ CHANGE HERE RESISTANCE RECTANGLE PARAMETERS --------------------+

color  DGBStopsRectangleColor            = C'215,40,40';
int    DGBStopsRectangle_Width           = 1;           // From 1 (thin) to 5 (thick) 
int    DGBStopsRectangle_length          = 10000;        // Length of resistance line. 
bool   DGBStopsRectangle_Ray             = false;       // If "false" resistance line will be drawn as a "segment". If "true", as a "Ray".


//+------------------------------------------------------------------+   






//+-----------------------------SCRIPT CODE--------------------------+
int start()
  { 
   double      price = WindowPriceOnDropped();
   datetime    time = WindowTimeOnDropped();
   int         TimeNow = TimeCurrent();
   int         timeframe = Period();
   double      factor;
   string      Description=("GBdown - "+TimeToString(time,TIME_DATE)+" - ");
   
if(IsConnected()) {TimeNow = TimeCurrent();} else {TimeNow = time;}

   switch(timeframe)
      {
      case 1      : factor = 0.2;   break;
      case 5      : factor = 1;     break;
      case 15     : factor = 3;     break;
      case 30     : factor = 6;     break;
      case 60     : factor = 12;    break;
      case 240    : factor = 48;    break;
      case 1440   : factor = 288;   break;
      case 10080  : factor = 2016;  break;
      case 43200  : factor = 8640;  break;
      }
   
   int length = factor * DGBStopsRectangle_length;
   

         ObjectCreate("DGBStopsRectangle" +" "+ TimeNow +" "+ price,OBJ_RECTANGLE,0,time,price-0.0002,time+length,price);        
         ObjectSet("DGBStopsRectangle" +" "+ TimeNow +" "+ price,OBJPROP_COLOR,DGBStopsRectangleColor);
         ObjectSet("DGBStopsRectangle" +" "+ TimeNow +" "+ price,OBJPROP_WIDTH,DGBStopsRectangle_Width);                 
         ObjectSet("DGBStopsRectangle" +" "+ TimeNow +" "+ price,OBJPROP_SELECTED,true);
         ObjectSetText("DGBStopsRectangle" +" "+ TimeNow +" "+ price,Description,0,NULL,clrNONE);
         
   return(0);
  }
//+------------------------------------------------------------------+